function A = make_adj_matrix(vtx, fcs)

n = size(vtx,1);
A = sparse(n,n);

for i=1:n
    F = [find(fcs(:,1)==i); find(fcs(:,2)==i); find(fcs(:,3)==i)];
    V = fcs(F,:);
    V(V == i) = [];
    A(i,V) = 1;   
end